summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMiroslav Šulc <fordfrog@gentoo.org>2019-03-20 17:41:51 +0100
committerMiroslav Šulc <fordfrog@gentoo.org>2019-03-20 17:49:19 +0100
commitd7f56848486a746b913b0422adcf9260c251e224 (patch)
treec89a3257f2b3f51ed9a373998051ec41b92dd34d
parentdev-java/tomcat-servlet-api-8.5.37: removed obsolete (diff)
downloadgentoo-d7f56848486a746b913b0422adcf9260c251e224.tar.gz
gentoo-d7f56848486a746b913b0422adcf9260c251e224.tar.bz2
gentoo-d7f56848486a746b913b0422adcf9260c251e224.zip
dev-java/tomcat-servlet-api-8.5.39: bump
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>
-rw-r--r--dev-java/tomcat-servlet-api/Manifest1
-rw-r--r--dev-java/tomcat-servlet-api/tomcat-servlet-api-8.5.39.ebuild39
2 files changed, 40 insertions, 0 deletions
diff --git a/dev-java/tomcat-servlet-api/Manifest b/dev-java/tomcat-servlet-api/Manifest
index aad46b1046e..18616f75e25 100644
--- a/dev-java/tomcat-servlet-api/Manifest
+++ b/dev-java/tomcat-servlet-api/Manifest
@@ -9,6 +9,7 @@ DIST apache-tomcat-7.0.93-src.tar.gz 4786577 BLAKE2B 8b72418c98369e0e104c5f51e9d
DIST apache-tomcat-8.0.53-src.tar.gz 5057041 BLAKE2B 3a50d2f61baecb5244909972384e36478c69e7592dd35119d8b7b974273c57a4855082f309146ed160144dbdcced3236fd586b047970bd8558bbe7b7e002e9fd SHA512 0b56bc723277b2888896ab34ec3e49cb56bac94ddf1a9b96bd023982e2ffabd5317f63b3c0971afdc8cd7a6364197409df461d22151dbaab3a2be7daf6858b9e
DIST apache-tomcat-8.5.23-src.tar.gz 5086043 BLAKE2B 9bcad0d465aff6da1ba4a846042491bc8d5963283ed1d2530a26ab48289d14e8b85834d24ca476c95a75c1a5f51ee3ecd71c190b9609983cce56b56bc046b6d3 SHA512 2848331553f2c1bc51a4113960c6fe7e2beddf9146341dbfde1a27e2232802cfc364c8e8b988ae862371ca1a3be34665a56a28be9eadf80f8b317e0e2525cbef
DIST apache-tomcat-8.5.38-src.tar.gz 5253678 BLAKE2B b2ecc732128934a3afa314ddc569b1b3d330ccb12b99b0ce4b12e1952347ac57cafb3a5637595997a0c9e77752ae41665e637c826c3b9ae9925799124e735480 SHA512 b84d96fa972a9d24957ef047cdce0fb49de3d365401b07990eaa5bad8f3c87a6b1ad1eac077c4be595ee291daef68720381fe63461815de47664275b486ceeee
+DIST apache-tomcat-8.5.39-src.tar.gz 5264067 BLAKE2B 8cd672529660783d3310beae356c32a9392f550ae72f2cdbd60f23c3b532e3adb19a295737fb39e9a2990b14edeff51cedf1f936f32f844e496e751913f2a859 SHA512 ba591290be49a01cec38300c6321b634e3ca7417074b55103afc887b9af3eda942d302aee5f1648e7fa60b5231cd7d83428846e2b55a4964f5cc98c27a844f8d
DIST apache-tomcat-9.0.14-src.tar.gz 5472704 BLAKE2B ee533afd733dacbe4a20baadb4c5dc9fa7620d695c1c57b1662894945731f978508b45ef0d8169068c13ba862804868f12d3e494873643589b9f57bc9ec0a342 SHA512 46119f6ae9003b7a178dd5158c1eae3b5116461e73c5d78cd763bff82b80f282ff08cee5175cf850d3f209af900677e93bab31c556035a6eaf6aae86a5d42fc6
DIST apache-tomcat-9.0.16-src.tar.gz 5654943 BLAKE2B a412457c2d34367301b4335a3a4bf46a647f8e60440be751874e1eaad400a0832b64fcae4c9f81585a4afbddafd75f2929bc78c12eb05b20539b11de686dfecc SHA512 60fbdefbddaa6fac4bc9d0ca4c1d9a119dd53063fd4574c474daf5f346fddc9cb7fd174f1be189e965d5ae4670710347d84fcf443c7df01faac9a1b84ecb33ce
DIST apache-tomcat-9.0.17-src.tar.gz 5670728 BLAKE2B 15f8518ec073a935dec6afdd3a8f9885e7867a0aa033024024bd72b7887011ca169c776f2a4d886d93a73a478f9dcad5f87c31b3a30a88ca913309c51e0f0ec7 SHA512 b5763dae05598c0a4d3638ba02c0627219de20406bddaab86ae3262299f2d9bbda1a5db612cad9fb8a54b2888e9ce1c4be67613d855cfd92b4cee5b85e226602
diff --git a/dev-java/tomcat-servlet-api/tomcat-servlet-api-8.5.39.ebuild b/dev-java/tomcat-servlet-api/tomcat-servlet-api-8.5.39.ebuild
new file mode 100644
index 00000000000..a6df79ab2de
--- /dev/null
+++ b/dev-java/tomcat-servlet-api/tomcat-servlet-api-8.5.39.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+JAVA_PKG_IUSE="source"
+
+inherit eutils java-pkg-2 java-ant-2
+
+MY_A="apache-${P}-src"
+MY_P="${MY_A/-servlet-api/}"
+DESCRIPTION="Tomcat's Servlet API 3.1/JSP API 2.3/EL API 3.0 implementation"
+HOMEPAGE="https://tomcat.apache.org/"
+SRC_URI="mirror://apache/tomcat/tomcat-8/v${PV}/src/${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="3.1"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux ~x64-solaris ~x86-solaris"
+IUSE=""
+
+DEPEND=">=virtual/jdk-1.7"
+RDEPEND=">=virtual/jre-1.7"
+
+S="${WORKDIR}/${MY_P}/"
+
+src_prepare() {
+ default
+
+ cp "${FILESDIR}/${SLOT}-build.xml" build.xml || die "Could not replace build.xml"
+ rm -fR */*/build.xml
+ einfo "Removing bundled jars and classes"
+ find "${S}" '(' -name '*.class' -o -name '*.jar' ')' -exec rm -frv {} +
+
+ java-pkg-2_src_prepare
+}
+
+src_install() {
+ java-pkg_dojar "${S}"/output/build/lib/*.jar
+ use source && java-pkg_dosrc java/javax/servlet/
+}